summaryrefslogtreecommitdiff
path: root/debian/tests/libgfortran-link
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/libgfortran-link')
-rwxr-xr-xdebian/tests/libgfortran-link23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/tests/libgfortran-link b/debian/tests/libgfortran-link
new file mode 100755
index 0000000..cc217bb
--- /dev/null
+++ b/debian/tests/libgfortran-link
@@ -0,0 +1,23 @@
+#!/bin/sh
+# autopkgtest check: Build and run a simple program against libgfortran,
+# to verify basic compile-time and run-time linking functionality.
+
+set -e
+
+F95=gfortran-9
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > libgfortran.f
+ program hello
+ print *, "Hello World!"
+ end program hello
+EOF
+
+$F95 -o ftest libgfortran.f
+echo "build: OK"
+ldd ftest
+[ -x ftest ]
+./ftest
+echo "run: OK"